RESIZE2FS(8)

NAZWA
resize2fs - zmienia rozmiar systemu plików ext2/ext3/ext4

SKŁADNIA
resize2fs [ -fFpPM ] [ -d flagi-debugowania ] [ -S rozmiar-części-RAID ] urządzenie [ rozmiar ]

OPIS
Program resize2fs zmienia rozmiar systemów plików ext2, ext3 i ext4. Można go użyć do zwiększania lub zmniejszenia rozmiaru odmontowanego systemu plików znajdującego się na urządzeniu. Jeśli system plików jest zamontowany, można go zwiększyć, jeśli tylko jądro i system plików obsługuje zmianę rozmiaru on-line. Aktualne jądra Linux 2.6 będą obsługiwały zmianę rozmiaru online w systemach plików zamontowanych jako ext3 i ext4, system plików ext3 wymaga przy tym włączonej funkcji resize_inode.

Parametr rozmiar określa żądany nowy rozmiar systemu plików. Jeśli nie poda się jednostki, parametr ten określa rozmiar liczony w blokach systemu plików. Opcjonalnie rozmiar może przyjąć jeden z przyrostków oznaczających jednostkę: s (sektor), K (kilobajt), M (megabajt) lub G (gigabajt). Rozmiar nie może być nigdy większy od rozmiaru partycji. Jeśli nie poda się tego parametru, domyślnie zostanie przyjęty rozmiar partycji.

Uwaga: Powyższe jednostki oznaczają jednostki będące potęgą dwójki (tzn. np. kilobajt to 1024 bajtów). Ostatnio zamiast przedrostka "kilo-" używa się w tym kontekście "kibi-", który u autora niniejszego programu wywołuje frustrację, wyrażoną obszerniej w angielskiej wersji tego podręcznika.

Program resize2fs nie zmienia rozmiaru partycji. Aby zwiększyć rozmiar systemu plików należy najpierw zwiększyć rozmiar partycji, na której się on znajduje. Można to uczynić programem fdisk(8) usuwając ją i tworząc na nowo większą lub za pomocą lvextend(8) jeśli używa się menedżera woluminów logicznych lvm(8). Pierwsza metoda wymaga upewnienia się, że tworzy się nową partycję z tym samym cylindrem początkowym co poprzednio. W przeciwnym wypadku operacja zmiany rozmiaru nie powiedzie się i można utracić cały system plików. Po uruchomieniu fdisk(8), należy użyć programu resize2fs do zmiany rozmiaru systemu plików ext2 tak, aby skorzystał on z całej dostępnej przestrzeni świeżo powiększonej partycji.

Aby zmniejszyć partycję ext2 należy najpierw skorzystać z programu resize2fs do zmniejszenia systemu plików. Następnie można użyć fdisk(8) do zmniejszenia rozmiaru partycji. Przy tej ostatniej czynności należy się upewnić, że partycja nie będzie mniejsza niż nowy rozmiar systemu plików ext2!

OPCJE

-d flagi-debugowania
    Włącza różne funkcje debugowania resize2fs, jeśli zostały wkompilowane w plik binarny programu. Flagi-debugowania można obliczyć dodając liczby przypisane żądanym funkcjom z poniższej listy.
      2    - Debuguje relokację bloków
      4    - Debuguje relokację i-węzłów
      8    - Debuguje przeniesienie tabeli i-węzłów
      16    - Wypisuje informacje związane z czasem
      32    - Debuguje obliczenia minimalnego rozmiaru systemu plików (-M)

-f  Wymusza wykonanie operacji zmiany rozmiaru przez resize2fs, pomijając pewne zabezpieczenia które zwykle sprawdza resize2fs.

-F  Wypróżnia bufory systemu plików przed uruchomieniem programu. Przydatne właściwie tylko w czasowych próbach resize2fs.

-M  Zmniejsza system plików do minimalnego rozmiaru.

-p  Wypisuje procentowy pasek postępu do każdej operacji resize2fs przy zmianie rozmiaru offline, dzięki czemu użytkownik może śledzić co robi program.

-P  Wyświetla minimalny rozmiar systemu plików i wychodzi.

-S rozmiar-części-RAID
    Program resize2fs określa rozmiar części RAID (ang. RAID stride) podany przy tworzeniu systemu plików za pomocą heurystyki. Ta opcja pozwala bezpośrednio wskazać go użytkownikowi.

ZNANE PROBLEMY
Minimalny rozmiar systemu plików oszacowany przez resize2fs może być nieprawidłowy, szczególnie dla systemów plików o rozmiarach bloków 1k i 2k.

AUTOR
resize2fs zostało napisane przez Theodore Ts'o <tytso@mit.edu>.

PRAWA AUTORSKIE
Resize2fs - prawa autorskie zastrzeżone w 1998 przez Theodore Ts'o i PowerQuest, Inc. Wszystkie prawa zastrzeżone. Według stanu na kwiecień 2000 resize2fs może być rozpowszechniany na warunkach GPL.

ZOBACZ TAKŻE
fdisk(8), e2fsck(8), mke2fs(8), lvm(8), lvextend(8)

TŁUMACZENIE
Autorem polskiego tłumaczenia niniejszej strony podręcznika man jest Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 1.42.12 oryginału.